Subject: Re: Recipe for multiple forwarding

From: [email-masked] (David W. Tamkin)
Date: Wed, 1 Mar 1995 14:16:11 -0600 (CST)

Mark Anderson asked,

| When incoming messages don't have anymatch, I would like them to be
| forwarded to me [at another location] and another person.  This is what
| I've got at the end of my .promailrc file  Is there an easier/cleaner way
| to do this?  Also, user2 doesn't seem to be getting mail.

| #Forward all other mail.
| #
| :0
| * > 100
| ! [email-masked]
| ! [email-masked]

user2 doesn't get any mail because there is only one action line per recipe,
and when a recipe delivers, procmail stops reading and exits.  This is the
right syntax:

  :0
  ! [email-masked] [email-masked]

| Or, what about:
|
| :0c
| * > 100
| ! [email-masked]
|
| :0
| ! [email-masked]

That would work, but it means more work for procmail and an extra invocation
of sendmail.

| I can't remember why I had to use the condition for message size, but I
| did need to for some reason.  Any help would be appreciated.

Were you trying to use a blank line in the middle (without even the
asterisk)?  That would explain it.  If you insist on having something in
the middle, try just an asterisk, because blank conditions always match:

 :0
 *
 ! [email-masked] [email-masked]

or this, since the number of conditions defaults to 1, but it's likely to
get ruined in future editing:

 :

 ! [email-masked] [email-masked]

David W. Tamkin  Box 3284  Skokie, Illinois  60076-6284
[email-masked]    MCI Mail: 426-1818   +1 312 714 5610